# Generated by go2rpm 1.14.0
%bcond check 1
%bcond bootstrap 0

%if %{with bootstrap}
%global debug_package %{nil}
%endif

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/dundee/gdu
%global goipath         github.com/dundee/gdu
Version:                5.29.0

%gometa -L -f

%global common_description %{expand:
Fast disk usage analyzer with console interface written in Go.}

%global golicenses      LICENSE.md
%global godocs          docs INSTALL.md README.md gdu.1.md

Name:           gdu
Release:        %autorelease
Summary:        Fast disk usage analyzer with console interface written in Go

# github.com/cespare/xxhash:		MIT
# github.com/davecgh/go-spew:		ISC
# github.com/dgraph-io/badger:		Apache-2.0
# github.com/dgraph-io/ristretto:	Apache-2.0
# github.com/dustin/go-humanize:	MIT
# github.com/fatih/color:		MIT
# github.com/gdamore/encoding:		Apache-2.0
# github.com/gdamore/tcell:		Apache-2.0
# github.com/gogo/protobuf:		BSD-3-Clause
# github.com/golang/glog:		Apache-2.0
# github.com/golang/groupcache:		Apache-2.0
# github.com/golang/protobuf:		BSD-3-Clause
# github.com/golang/snappy:		BSD-3-Clause
# github.com/google/flatbuffers:	Apache-2.0
# github.com/h2non/filetype:		MIT
# github.com/inconshreveable/mousetrap:	Apache-2.0
# github.com/klauspost/compress:	BSD-3-Clause AND Apache-2.0 AND MIT
# github.com/kr/pretty:			MIT
# github.com/lucasb-eyer/go-colorful:	MIT
# github.com/maruel/natural:		Apache-2.0
# github.com/mattn/go-colorable:	MIT
# github.com/mattn/go-isatty:		MIT
# github.com/mattn/go-runewidth:	MIT
# github.com/pbnjay/memory:		BSD-3-Clause
# github.com/pkg/errors:		BSD-2-Clause
# github.com/pmezard/go-difflib:	BSD-3-Clause
# github.com/rivo/tview:		MIT
# github.com/rivo/uniseg:		MIT
# github.com/sirupsen/logrus:		MIT
# github.com/spf13/cobra:		Apache-2.0
# github.com/spf13/pflag:		BSD-3-Clause
# github.com/stretchr/testify:		MIT
# github.com/ulikunitz/xz:		BSD-3-Clause
# go.opencensus.io:			Apache-2.0
# golang.org/x/exp:			BSD-3-Clause
# golang.org/x/net:			BSD-3-Clause
# golang.org/x/sys:			BSD-3-Clause
# golang.org/x/term:			BSD-3-Clause
# golang.org/x/text:			BSD-3-Clause
# gopkg.in/yaml.v3:			MIT AND Apache-2.0
License:        MIT AND Apache-2.0 AND BSD-3-Clause AND BSD-2-Clause AND ISC AND (BSD-3-Clause AND Apache-2.0 AND MIT) AND (MIT AND Apache-2.0)
URL:            %{gourl}
Source:         https://github.com/dundee/gdu/releases/download/v%{version}/gdu-%{version}.tgz

%description %{common_description}

%gopkg

%prep
# disable vendoring cleanup
%goprep -A -k
%autopatch -p1

%if %{without bootstrap}
%build
export LDFLAGS="-X %{goipath}/build.Version=%{version} -X %{goipath}/build.Time=$SOURCE_DATE_EPOCH -X %{goipath}/build.User=$USER"

for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
%endif

%install
%if %{without bootstrap}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

install -m 0755 -vd			%{buildroot}%{_mandir}/man1
install -m 0755 -vp gdu.1		%{buildroot}%{_mandir}/man1/
%endif

%if %{without bootstrap}
%if %{with check}
%check
export GOPATH=$(pwd)/_build:%{gopath}

# all ignored tests fails because of root user
%gotest %{goipath}/cmd/gdu/app || :
%gotest %{goipath}/internal/common
%gotest %{goipath}/pkg/analyze || :
%gotest %{goipath}/pkg/device
%gotest %{goipath}/pkg/path
%gotest %{goipath}/pkg/remove || :
%gotest %{goipath}/report
%gotest %{goipath}/stdout || :
%gotest %{goipath}/tui || :
%endif
%endif

%if %{without bootstrap}
%files
%license LICENSE.md
%doc README.md gdu.1.md

%{_bindir}/gdu
%{_mandir}/man1/gdu*
%endif

%changelog
%autochangelog
